Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.support
Class SimpleBootstrapContext

    java.lang.Object
      org.springframework.jca.support.SimpleBootstrapContext

All Implemented Interfaces:
  javax.resource.spi.BootstrapContext

    public class SimpleBootstrapContext

extends java.lang.Object
implements javax.resource.spi.BootstrapContext

Simple implementation of the JCA 1.5 `BootstrapContext` interface, used for bootstrapping a JCA ResourceAdapter in a local environment.

Delegates to the given WorkManager and XATerminator, if any. Creates simple local instances of `java.util.Timer`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `ResourceAdapter.start(javax.resource.spi.BootstrapContext)`, `ResourceAdapterFactoryBean`

Constructor Summary
`SimpleBootstrapContext(javax.resource.spi.work.WorkManager workManager)` Create a new SimpleBootstrapContext for the given WorkManager, with no XATerminator available.
`SimpleBootstrapContext(javax.resource.spi.work.WorkManager workManager, javax.resource.spi.XATerminator xaTerminator)` Create a new SimpleBootstrapContext for the given WorkManager and XATerminator.

Method Summary
`java.util.Timer` | `createTimer()`
`javax.resource.spi.work.WorkManager` | `getWorkManager()`
`javax.resource.spi.XATerminator` | `getXATerminator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBootstrapContext

    public SimpleBootstrapContext(javax.resource.spi.work.WorkManager workManager)

  Create a new SimpleBootstrapContext for the given WorkManager, with no XATerminator available.

  Parameters:
    `workManager` - the JCA WorkManager to use (may be `null`)

### SimpleBootstrapContext

    public SimpleBootstrapContext(javax.resource.spi.work.WorkManager workManager,
                                  javax.resource.spi.XATerminator xaTerminator)

  Create a new SimpleBootstrapContext for the given WorkManager and XATerminator.

  Parameters:
    `workManager` - the JCA WorkManager to use (may be `null`)
    `xaTerminator` - the JCA XATerminator to use (may be `null`)

Method Detail

### getWorkManager

    public javax.resource.spi.work.WorkManager getWorkManager()

  Specified by:
    `getWorkManager` in interface `javax.resource.spi.BootstrapContext`

### getXATerminator

    public javax.resource.spi.XATerminator getXATerminator()

  Specified by:
    `getXATerminator` in interface `javax.resource.spi.BootstrapContext`

### createTimer

    public java.util.Timer createTimer()
                                throws javax.resource.spi.UnavailableException

  Specified by:
    `createTimer` in interface `javax.resource.spi.BootstrapContext`
  Throws:
    `javax.resource.spi.UnavailableException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD